{{- if and ( .Capabilities.APIVersions.Has "kpack.io/v1alpha2/ClusterStack" ) .Values.clusterStack.create -}}
apiVersion: kpack.io/v1alpha2
kind: ClusterStack
metadata:
  name: {{ .Values.clusterStack.name }}
  labels:
    {{- include "kpack.labels" . | nindent 4 }}
  {{- with .Values.clusterStack.annotations }}
  annotations:
    {{- toYaml . | nindent 4 }}
  {{- end }}
spec:
  id: {{ .Values.clusterStack.id }}
  buildImage:
    image: {{ .Values.clusterStack.buildImage }}
  runImage:
    image: {{ .Values.clusterStack.runImage }}
{{ end }}
